### Method

# Fwupd Device has_flag

since: 0.9.3

#### Declaration [src]

    gboolean
    fwupd_device_has_flag (
      FwupdDevice* self,
      FwupdDeviceFlags flag
    )

#### Description [src]

Finds if the device has a specific device flag.

Available since: 0.9.3

#### Parameters

`flag`

  Type: `FwupdDeviceFlags`

  The `FwupdDeviceFlags`.

#### Return value

Type: `gboolean`

`TRUE` if the flag is set.